aboutsummaryrefslogtreecommitdiff
path: root/bin
diff options
context:
space:
mode:
authorAndré Erdmann <dywi@mailerd.de>2013-09-20 20:04:28 +0200
committerAndré Erdmann <dywi@mailerd.de>2013-09-20 20:04:28 +0200
commit8ace5a56b802f8c56b82f2c2660f97dd983cd246 (patch)
treecee25cdc0bdb96ec511cb428b19463e453f98865 /bin
parentroverlay/fsutil: comments, cleanup (diff)
downloadR_overlay-8ace5a56b802f8c56b82f2c2660f97dd983cd246.tar.gz
R_overlay-8ace5a56b802f8c56b82f2c2660f97dd983cd246.tar.bz2
R_overlay-8ace5a56b802f8c56b82f2c2660f97dd983cd246.zip
script for interactive roverlay setup
This commit restores the ebuild's pkg_config() functionality.
Diffstat (limited to 'bin')
-rwxr-xr-xbin/install/roverlay-setup-interactive11
-rwxr-xr-xbin/roverlay-setup-interactive.sh18
2 files changed, 29 insertions, 0 deletions
diff --git a/bin/install/roverlay-setup-interactive b/bin/install/roverlay-setup-interactive
new file mode 100755
index 0000000..963eab6
--- /dev/null
+++ b/bin/install/roverlay-setup-interactive
@@ -0,0 +1,11 @@
+#!/bin/sh
+set -u
+
+readonly FUNCTIONS="/usr/share/roverlay/shlib/functions.sh"
+readonly FUNCTIONS_STANDALONE='y'
+readonly ROVERLAY_INSTALLED='y'
+
+. "${FUNCTIONS}" || exit 0
+$lf setup-interactive
+
+setup_interactive_main "$@"
diff --git a/bin/roverlay-setup-interactive.sh b/bin/roverlay-setup-interactive.sh
new file mode 100755
index 0000000..40367de
--- /dev/null
+++ b/bin/roverlay-setup-interactive.sh
@@ -0,0 +1,18 @@
+#!/bin/bash
+set -u
+SCRIPT=$(readlink -f "${BASH_SOURCE[0]?}")
+SCRIPT_DIR="${SCRIPT%/*}"
+PRJROOT="${SCRIPT_DIR%/*}"
+
+export ROVERLAY_PRJROOT="${PRJROOT}"
+
+readonly ROVERLAY_SETUP="${PRJROOT}/bin/roverlay-setup"
+readonly FUNCTIONS="${PRJROOT}/files/shlib/functions.sh"
+readonly FUNCTIONS_STANDALONE='y'
+readonly ROVERLAY_INSTALLED='n'
+
+unset -v SCRIPT SCRIPT_DIR PRJROOT
+. "${FUNCTIONS}" || exit 0
+$lf setup-interactive
+
+setup_interactive_main "$@"